Package org.jbpm.process.core.timer.impl

## Class GlobalTimerService.DisposableCommandService

- java.lang.Object
- - org.jbpm.process.core.timer.impl.GlobalTimerService.DisposableCommandService

- All Implemented Interfaces:
    `org.drools.core.runtime.InternalLocalRunner`, `org.kie.api.runtime.CommandExecutor`, `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`
  Enclosing class:
    GlobalTimerService

      public static class GlobalTimerService.DisposableCommandService
      extends Object
      implements org.drools.core.runtime.InternalLocalRunner

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.runtime.InternalLocalRunner

      `org.drools.core.runtime.InternalLocalRunner.SingleBatchExecutable, org.drools.core.runtime.InternalLocalRunner.SingleCommandExecutable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DisposableCommandService​(org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext> delegate, org.kie.api.runtime.manager.RuntimeManager manager, org.kie.api.runtime.manager.RuntimeEngine runtime, boolean retry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.runtime.RequestContext` | `createContext()` |
    `void` | `dispose()` |
    `org.kie.api.runtime.RequestContext` | `execute​(org.kie.api.runtime.Executable executable, org.kie.api.runtime.RequestContext ctx)` |
    `org.kie.api.runtime.Environment` | `getEnvironment()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.runtime.InternalLocalRunner

      `execute, execute, execute`

- - ### Constructor Detail

    - #### DisposableCommandService

          public DisposableCommandService​(org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext> delegate,
                                          org.kie.api.runtime.manager.RuntimeManager manager,
                                          org.kie.api.runtime.manager.RuntimeEngine runtime,
                                          boolean retry)

  - ### Method Detail

    - #### execute

          public org.kie.api.runtime.RequestContext execute​(org.kie.api.runtime.Executable executable,
                                                            org.kie.api.runtime.RequestContext ctx)

      Specified by:
        `execute` in interface `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`

    - #### createContext

          public org.kie.api.runtime.RequestContext createContext()

      Specified by:
        `createContext` in interface `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`

    - #### dispose

          public void dispose()

    - #### getEnvironment

          public org.kie.api.runtime.Environment getEnvironment()